import React, { useState } from 'react';
import { IOTTitleProps } from './interface';
import './style/index.less';

const prefixCls = 'iot-title';

const IOTProduct: React.FC<IOTTitleProps> = ({
  streamId,
  disabled = false,
  title,
  ...rest
}) => {
  return (
    <div className={prefixCls} {...rest}>
      {title}
    </div>
  );
};

export default IOTProduct;
