import React from 'react';
import IOTCordEntryEnum from '../IOTCordEntryEnum';
import { IOTCordEntryEnumProps } from '../interface';

const props: IOTCordEntryEnumProps = {
  type: 'enum',
  streamId: 'Mode',
  icon: {
    value: 'insideicon-cu-1',
    show: true,
  },
  title: '功能名称功能名称功能名称功能名称功能名称',
  subTitle: { value: '副标题', show: true },
  items: [
    {
      text: '大雾量量大雾量量大雾量量大雾量量大雾量量大雾量量大雾量量大雾量量',
      value: '1',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: true,
      disabled: true,
    },
    {
      text: '中雾量量',
      value: '2',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
      disabled: true,
    },
    {
      text: '中雾量量',
      value: '3',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    }, 
    {
      text: '中雾量量',
      value: '4',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    }, 
    {
      text: '中雾量量',
      value: '5',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    }, 
    {
      text: '中雾量量',
      value: '6',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    }, 
    {
      text: '中雾量量',
      value: '7',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },{
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '8',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
    {
      text: '中雾量量',
      value: '9',
      icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
      checked: false,
    },
  ],
  handler: (val: any) => {
    // console.log(val)
  },

};
export default () => <IOTCordEntryEnum {...props} />;