import React from 'react';
import IOTCordEntryNumber from '../IOTCordEntryNumber';
import { IOTCordEntryNumberProps } from '../interface';

const props: IOTCordEntryNumberProps = {
  type: 'number',
  streamId: 'Word',
  title: '功能名称',
  subTitle: { value: '副标题', show: true },
  icon: { value: 'insideicon-cu-1', show: true },
  min: '16.0',
  max: '32.0',
  step: '0.5',
  unit: '°C',
  unitdesc: '摄氏度',
  intType:'float',
  handler: (val: any) => {
    // console.log('向外', val);
  },
  curValue: '16.5',
  startHandler: function (val: any): void {
    throw new Error('Function not implemented.');
  },
  endHandler: function (val: any): void {
    throw new Error('Function not implemented.');
  }
};
export default () => <IOTCordEntryNumber {...props} />;