import React from 'react';
import IOTNumberSlider from '../IOTNumberSlider';
import { IOTNumberSliderProps } from '../interface';

const props: IOTNumberSliderProps = {
  type: 'number',
  streamId: 'Volume',
  title: '温度',
  icon: {
    show: true,
    value: 'insideicon-cu-1',
  },
  iconLeft: 'insideicon-zuixiao',
  iconRight: 'insideicon-zuida',
  min: '0',
  max: '100',
  step: '0.5',
  unit: '°C',
  intType:'float',
  disabled: false,
  unitdesc: '摄氏度',
  curValue: '',
  startHandler: (val: any) => { },
  endHandler: (val: any) => {  }
};
export default () => <IOTNumberSlider {...props} />;