import React from 'react';
import IOTSlider from '../IOTSlider';
import { IOTSliderProps } from '../interface';

const props: IOTSliderProps = {
  type: 'number',
  streamId: 'Word',
  title: '温度',
  icon: {
    show: true,
    value: 'insideicon-cu-1',
  },
  min: '1.0',
  max: '50.0',
  step: '1',
  intType:'float',
  unit: '°C',
  disabled: false,
  unitdesc: '摄氏度',
  curValue: '1.0',
  startHandler: (val: any) => { },
  endHandler: (val: any) => {console.log(val) }
};
export default () => <IOTSlider {...props} />;