import React from 'react';
import IOTTimeSlider from '../IOTTimeSlider';
import { IOTTimeSliderProps } from '../interface';

const props: IOTTimeSliderProps = {
  type: 'number',
  streamId: 'Word',
  title: '洗涤时间',
  icon: {
    show: true,
    value: 'insideicon-cu-1',
  },
  min: '1',
  max: '20',
  step: '5',
  unitdesc: '',
  curValue: '1',
  unit: 'h',
  disabled: false,
  timeConver: {
    hoursFlag: false,
    minutesFlag: true,
    secondsFlag: true,
    descText: '后执行'
  },
  startHandler: (val: any) => { },
  endHandler: () => { },
  streamName: ''
};
export default () => <IOTTimeSlider {...props} />;