import React from 'react';
import IOTAlert from '../IOTAlert';
import { IOTAlertProps } from '../interface';

const props: IOTAlertProps = {
  type: 'service',
  message: '提示文案',
  streams: {
    AirQuality: '1',
    BabyLock: '1',
    Mode: '1',
    Action: '11'
  },
  jugements: [{ "name": "手动的", "ifCondition": [{ "if": [{ "streamId": "Mode", "streamName": "模式", "type": "enum", "operator": "=", "operatorDesc": "等于", "value": "2", "valueName": "手动模式", "judgement": "||", "judgementDesc": "或" }], "judgement": "||", "judgementDesc": "或" }], "thenCondition": [{ "actionType": "message", "actionDesc": "提示文案", "operator": "=", "operatorDesc": "等于", "value": "手动模式" }] }, { "name": "空气质量优", "ifCondition": [{ "if": [{ "streamId": "AirQuality", "streamName": "空气质量", "type": "enum", "operator": "=", "operatorDesc": "等于", "value": "1", "valueName": "优", "judgement": "||", "judgementDesc": "或" }], "judgement": "||", "judgementDesc": "或" }], "thenCondition": [{ "actionType": "message", "actionDesc": "提示文案", "operator": "=", "operatorDesc": "等于", "value": "空气质量优" }] }, { "name": "童锁开了", "ifCondition": [{ "if": [{ "streamId": "BabyLock", "streamName": "童锁", "type": "bool", "operator": "!=", "operatorDesc": "不等于", "value": "0", "valueName": "关", "judgement": "||", "judgementDesc": "或" }], "judgement": "||", "judgementDesc": "或" }], "thenCondition": [{ "actionType": "message", "actionDesc": "提示文案", "operator": "=", "operatorDesc": "等于", "value": "童锁开了" }] }]
};
export default () => <IOTAlert {...props} />;