import {iEnumProps} from '../../base/type';
// export interface IOTIconGridProps extends iEnumProps {
//   handler?:(val:any) => void;
//   childrenIcon?:boolean,
// }

type IconInfo ={
  show:boolean;
  value:string
}
export type IOTDataLogInfo ={
  dataSource:any[];
  confirmChange:(val:string)=>void;
  activeDate:string;
  icon:IconInfo;
  title:string;
  more:boolean;
  loadMore:() => Promise<void>
}

type valueDef = {
  specs:any
  type:string;
}
type NavigationCommonType = {
  bindType?: string;
  functionName?: string;
  handler: (item?:any) => void
  icon?: string;
  streamName?: string;
  id?: string;
  label?: string;
  streamId?: string;
  title?: string;
  type?: string;
  curValue?:any;
  disabled?:boolean;
  unitConvertFlag?:any;
  valueDef?:valueDef;
}
export type EnumItems = {
  text:string;
  value:string;
  checked:boolean;
}

export type NavigationEnumProps = {items:EnumItems[]} & NavigationCommonType;
export type NavigationLinkProps = {linkType:string;url:string} & NavigationCommonType;
export type NavigationNumberProps = NumberSlideType & NavigationCommonType;


export type NumberSlideType = {
  streamId:string;
  min:string;
  max:string;
  step:string;
  unit:string;
  unitdesc:string;
  curValue:string;
  handler?:any;
  intType?:string
}

export interface IOTBottomSlideProps {
  leftText: string;
  rightText: string;
  title?: string;
  isShow: boolean;
  type:string;
  confirmHandler: (val: any) => void;
}
export type IOTBottomSlideJson = IOTBottomSlideProps;
