"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["naviTitle", "foregroundcolor", "backgroundcolor"];
var prefixCls = 'iot-switch';

var IOTSwitch = function IOTSwitch(_ref) {
  var naviTitle = _ref.naviTitle,
      foregroundcolor = _ref.foregroundcolor,
      backgroundcolor = _ref.backgroundcolor,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-navbar",
    style: {
      backgroundColor: backgroundcolor
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      height: '20px',
      width: '100%',
      backgroundImage: "url(\"https://storage.jd.com/testsmartcloud/1642571692013_statusBar_default.png\")",
      backgroundSize: '100% 20px'
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "navi-bar",
    style: {
      color: foregroundcolor,
      backgroundColor: backgroundcolor,
      height: '44px'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title",
    style: {
      color: foregroundcolor
    }
  }, naviTitle)));
};

var _default = IOTSwitch;
exports.default = _default;