"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _IOTNavBar = _interopRequireDefault(require("./IOTNavBar"));

var _type = require("../type");

var _utils = require("../utils");

var grapesJSConfig = {
  type: [_type.ComponentsType.Element],
  id: 'IOTNavBar',
  tag: _type.TagType.IOTNavBar,
  access: 'r',
  render: function render(jsonData) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    var props = _utils.mergeParameters.apply(void 0, [jsonData].concat(args));

    return /*#__PURE__*/_react.default.createElement(_IOTNavBar.default, props);
  },
  buildData: function buildData() {
    var mock = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    var property = arguments.length > 1 ? arguments[1] : undefined;
    //区分类
    var props = {
      naviTitle: '标题',
      backgroundcolor: 'white',
      foregroundcolor: 'blue'
    };
    return props;
  },
  traits: function traits() {
    return [{
      type: 'text',
      name: 'naviTitle',
      label: ''
    }, {
      type: 'color',
      name: 'backgroundcolor',
      label: '背景色'
    }, {
      type: 'color',
      name: 'foregroundcolor',
      label: '前景色'
    }];
  }
};
var _default = grapesJSConfig;
exports.default = _default;