"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["title", "streamId", "curValue", "subTitle", "icon", "btnIcon", "disabled", "streamName", "handler"];
var prefixCls = 'iot-power-out';

var IOTPower = function IOTPower(_ref) {
  var title = _ref.title,
      streamId = _ref.streamId,
      curValue = _ref.curValue,
      subTitle = _ref.subTitle,
      icon = _ref.icon,
      btnIcon = _ref.btnIcon,
      disabled = _ref.disabled,
      streamName = _ref.streamName,
      handler = _ref.handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  // const [checked, setchecked] = useState(true);
  // const getIcon = () => {
  //   if (icon?.show) {
  //     return <NormalIcon url={icon?.value ? icon.value : 'insideicon-cu-1'} />;
  //   }
  //   return <div></div>;
  // };
  // const getContent = () => {
  //   return (
  //     <div className="iot-power-content">
  //       {getIcon()}
  //       <div className="title-wrap">
  //         <div className="title">{title}</div>
  //         {subTitle?.show ? <div className="subTitle">{subTitle.value}</div> : undefined}
  //       </div>
  //     </div>
  //   );
  // };
  // let height = '84px';
  // if (icon?.show === false || subTitle?.show === false) {
  //   height = '60px';
  // }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-power ".concat(rest.source)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "power-left"
  }, (icon === null || icon === void 0 ? void 0 : icon.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "power-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['power-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "power-title",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "power-main"
  }, title), (subTitle === null || subTitle === void 0 ? void 0 : subTitle.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "power-sub"
  }, subTitle['value']))), /*#__PURE__*/_react.default.createElement("div", {
    className: "power-right",
    onClick: function onClick() {
      var item = {
        value: !curValue,
        streamId: streamId
      };
      handler === null || handler === void 0 ? void 0 : handler(item);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: ['power-btn-icon ', curValue ? 'power-btn-icon-on' : 'power-btn-icon-off'].join(' ')
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['power-btn-image', btnIcon ? btnIcon : 'insideicon-power'].join(' ')
  }))), disabled && /*#__PURE__*/_react.default.createElement("div", {
    className: "power-disable"
  }))));
};

var _default = IOTPower;
exports.default = _default;