"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["streamId", "subTitle", "title", "curValue", "disabled", "icon", "streamName", "handler"];
var prefixCls = 'iot-switch-out';

var IOTSwitch = function IOTSwitch(_ref) {
  var streamId = _ref.streamId,
      subTitle = _ref.subTitle,
      title = _ref.title,
      curValue = _ref.curValue,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      icon = _ref.icon,
      streamName = _ref.streamName,
      _ref$handler = _ref.handler,
      handler = _ref$handler === void 0 ? function (val) {} : _ref$handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  // const [checked, setchecked] = useState(true);
  // const getIcon = () => {
  //   if (icon?.show) {
  //     return (
  //       <NormalIcon  url={icon?.value ? icon.value : 'insideicon-cu-1'} />
  //     );
  //   }
  //   return undefined;
  // };
  // const getContent = () => {
  //   return (
  //     <>
  //       {getIcon()}
  //       <div className="item-item-center">
  //         <div className="title-wrap" >
  //         <div className="title">{title}</div>
  //         {subTitle?.show ? <div className="subTitle">{subTitle?.value}</div> : undefined}
  //       </div>
  //       </div>
  //     </>
  //   );
  // };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-switch"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-left"
  }, (icon === null || icon === void 0 ? void 0 : icon.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['switch-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-title",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-main"
  }, title), (subTitle === null || subTitle === void 0 ? void 0 : subTitle.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-sub"
  }, subTitle['value']))), /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-right",
    onClick: function onClick() {
      var item = {
        value: !curValue,
        streamId: streamId
      };
      handler(item);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: ['switch-btn', curValue ? 'switch-btn-on' : 'switch-btn-off'].join(' ')
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "switch-ball"
  }))), disabled && /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-disable"
  }))));
};

var _default = IOTSwitch;
exports.default = _default;