"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["id", "list", "handler"];
var prefixCls = 'iot-suction-bottom';

var getItem = function getItem(len) {
  var itemLen = len;
  var itemWidth = Math.floor(1 / itemLen * 100) + '%';
  var style = {
    gridTemplateColumns: "repeat(".concat(itemLen, ", ").concat(itemWidth, ")")
  }; // console.log(style);

  return style;
};

var IOTSuctionBottom = function IOTSuctionBottom(_ref) {
  var id = _ref.id,
      list = _ref.list,
      handler = _ref.handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "GridItem",
    style: getItem(list.length)
  }, list.map(function (item, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: ['gird-item', item['checked'] ? 'active' : ''].join(' '),
      onClick: function onClick() {
        if (item['disable']) return;
        handler(item);
      },
      key: index,
      style: {
        position: 'relative'
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: ['icon-item', item['checked'] ? 'active' : ''].join(' ')
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "icon ".concat(item.icon)
    })), item.textShow && /*#__PURE__*/_react.default.createElement("div", {
      className: ['text', item['checked'] ? 'text-active' : ''].join(' ')
    }, item.text), /*#__PURE__*/_react.default.createElement("div", {
      className: "disabled-pangle",
      style: {
        display: "".concat(item['disable'] ? 'block' : 'none')
      }
    }));
  })));
};

var _default = IOTSuctionBottom;
exports.default = _default;