"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

require("./style/index.less");

var _excluded = ["streamId", "icon", "title", "subTitle", "disabled", "imgSrc", "width", "height", "handler"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'iot-element-img';
var defaultImg = 'https://storage.jd.com/testsmartcloud/1642572029406_image_empty.svg';

var pxToRem = function pxToRem(value, imgSrc) {
  if (!imgSrc) return;
  if (!value) return;
  return Number.parseInt(value) / 100 + 'rem';
};

var IOTImg = function IOTImg(_ref) {
  var streamId = _ref.streamId,
      icon = _ref.icon,
      title = _ref.title,
      subTitle = _ref.subTitle,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      imgSrc = _ref.imgSrc,
      width = _ref.width,
      height = _ref.height,
      _ref$handler = _ref.handler,
      handler = _ref$handler === void 0 ? function (val) {} : _ref$handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(imgSrc),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      imgUrl = _useState2[0],
      setImgUrl = _useState2[1];

  (0, _react.useEffect)(function () {
    setImgUrl(imgSrc);
  }, [imgSrc]);
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    style: {
      width: pxToRem(width, imgUrl),
      height: pxToRem(height, imgUrl)
    },
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(prefixCls, "-box")
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "default-img",
    style: {
      backgroundImage: "url(".concat(imgUrl || defaultImg, ")"),
      backgroundRepeat: 'no-repeat',
      backgroundPosition: 'center',
      backgroundSize: 'contain'
    }
  })));
};

var _default = IOTImg;
exports.default = _default;