"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _type = require("../../base/type");

var _IOTImg = _interopRequireDefault(require("./IOTImg"));

var _utils = require("../../base/utils");

var grapesJSConfig = {
  type: [_type.ComponentsType.Element],
  id: 'IOTImg',
  tag: _type.TagType.IOTImg,
  access: 'r',
  render: function render(jsonData) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    var props = _utils.mergeParameters.apply(void 0, [jsonData].concat(args));

    return /*#__PURE__*/_react.default.createElement(_IOTImg.default, props);
  },
  buildData: function buildData() {
    var mock = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    var property = arguments.length > 1 ? arguments[1] : undefined;
    var props = {
      width: '160',
      height: '160',
      imgSrc: 'https://storage.jd.com/testsmartcloud/1642572029406_image_empty.svg'
    };
    return props;
  },
  traits: function traits() {
    return [{
      type: 'upload',
      name: 'imgSrc',
      label: '图片设置',
      tip: '上传图片的文件≤512KB，格式仅支持PNG',
      count: 3
    }];
  }
};
var _default = grapesJSConfig;
exports.default = _default;