"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

require("./index.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var getItem = function getItem(len) {
  var itemLen = len;
  var itemWidth = Math.floor(1 / itemLen * 1000) / 10 + '%';
  var style = {
    gridTemplateColumns: "repeat(".concat(itemLen, ", ").concat(itemWidth, ")")
  };
  return style;
};

var IOTAllGrid = function IOTAllGrid(_ref) {
  var middleList = _ref.middleList,
      modelFootList = _ref.modelFootList,
      modelTopList = _ref.modelTopList,
      styleType = _ref.styleType,
      control = _ref.control,
      _ref$showIcon = _ref.showIcon,
      showIcon = _ref$showIcon === void 0 ? false : _ref$showIcon;
  (0, _react.useEffect)(function () {// console.log(modelFootList, 'modelFootList')
  }, [modelFootList]);

  var itemGrid = function itemGrid(item, index, modelFootList) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: ['gird-all-item', styleType !== '1' ? 'gird-all-item-ellipse' : '', item['checked'] ? 'active-all' : ''].join(' '),
      onClick: function onClick() {
        if (item.value === null || item['disabled']) return;
        control(item);
      },
      key: index
    }, showIcon && item.icon && /*#__PURE__*/_react.default.createElement("div", {
      className: "icons-ellipse-box ".concat(item !== null && item !== void 0 && item.checked ? 'icon-box-active' : '')
    }, /*#__PURE__*/_react.default.createElement("i", {
      className: "icons-ellipse ".concat(item.icon)
    })), /*#__PURE__*/_react.default.createElement("div", {
      className: "text ".concat(styleType !== '1' && modelFootList.length > 3 ? 'text-ellipse' : '')
    }, item.text), item['disabled'] && /*#__PURE__*/_react.default.createElement("div", {
      className: "item-disabled"
    }));
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-grid-all-item-list"
  }, styleType !== '1' && /*#__PURE__*/_react.default.createElement("div", {
    className: "gird-ellipse-item-line"
  }), modelTopList.length > 0 && /*#__PURE__*/_react.default.createElement("div", {
    className: "gird-all-item-top ".concat(styleType !== '1' ? 'gird-all-item-top-ellipse' : ''),
    style: getItem(modelTopList.length)
  }, modelTopList.map(function (item, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: ['gird-all-item', styleType !== '1' ? 'gird-all-item-ellipse' : '', item['checked'] ? 'active-all' : ''].join(' '),
      onClick: function onClick() {
        if (item['disabled']) return;
        control(item);
      },
      key: index
    }, showIcon && item.icon && /*#__PURE__*/_react.default.createElement("div", {
      className: "icons-ellipse-box ".concat(item !== null && item !== void 0 && item.checked ? 'icon-box-active' : '')
    }, /*#__PURE__*/_react.default.createElement("i", {
      className: "icons-ellipse ".concat(item.icon)
    })), /*#__PURE__*/_react.default.createElement("div", {
      className: "text ".concat(styleType !== '1' && modelTopList.length > 3 ? 'text-ellipse' : '')
    }, item.text), item['disabled'] && /*#__PURE__*/_react.default.createElement("div", {
      className: "item-disabled"
    }));
  })), middleList.length > 0 && /*#__PURE__*/_react.default.createElement("div", null, middleList.map(function (out, ind) {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: "m-out-".concat(ind)
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "gird-all-item-top ".concat(styleType !== '1' ? 'gird-all-item-top-ellipse' : ''),
      key: "middle-".concat(ind),
      style: getItem(out.length)
    }, out.map(function (item, ins) {
      return /*#__PURE__*/_react.default.createElement("div", {
        className: ['gird-all-item', styleType !== '1' ? 'gird-all-item-ellipse' : '', item['checked'] ? 'active-all' : ''].join(' '),
        onClick: function onClick() {
          if (item['disabled']) return;
          control(item);
        },
        key: "middle-items-".concat(ins)
      }, item['disabled'] && /*#__PURE__*/_react.default.createElement("div", {
        className: "item-disabled"
      }), showIcon && item.icon && /*#__PURE__*/_react.default.createElement("div", {
        className: "icons-ellipse-box ".concat(item !== null && item !== void 0 && item.checked ? 'icon-box-active' : '')
      }, /*#__PURE__*/_react.default.createElement("i", {
        className: "icons-ellipse ".concat(item.icon)
      })), /*#__PURE__*/_react.default.createElement("div", {
        className: "text ".concat(styleType !== '1' && middleList.length > 3 ? 'text-ellipse' : '')
      }, item.text));
    })));
  })), modelFootList.length > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "gird-all-item-top ".concat(styleType !== '1' ? 'gird-all-item-top-ellipse' : ''),
    style: getItem(modelFootList.length)
  }, modelFootList.map(function (item, index) {
    return styleType === '1' ? itemGrid(item, index, modelFootList) : item.text && itemGrid(item, index, modelFootList);
  }))), styleType === '1' && /*#__PURE__*/_react.default.createElement("div", {
    className: "gird-all-item-out-line"
  }));
};

var _default = IOTAllGrid;
exports.default = _default;