"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _index = _interopRequireDefault(require("../../../common/IOTBottomSlide/index"));

var _IOTAllGrid = _interopRequireDefault(require("../../IOTAllGrid"));

require("./ModelItem.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var getItem = function getItem(len) {
  var itemLen = len;
  var itemWidth = Math.floor(1 / itemLen * 1000) / 10 + '%';
  var style = {
    gridTemplateColumns: "repeat(".concat(itemLen, ", ").concat(itemWidth, ")")
  };
  return style;
};

var ModelItem = function ModelItem(_ref) {
  var title = _ref.title,
      topList = _ref.topList,
      middleList = _ref.middleList,
      footList = _ref.footList,
      modelFootList = _ref.modelFootList,
      modelTopList = _ref.modelTopList,
      showMore = _ref.showMore,
      _control = _ref.control,
      _ref$iconShow = _ref.iconShow,
      iconShow = _ref$iconShow === void 0 ? false : _ref$iconShow;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      btm = _useState2[0],
      setBtm = _useState2[1];

  var _useState3 = (0, _react.useState)('show'),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      btmBarType = _useState4[0],
      setBtmBarType = _useState4[1]; // console.log(footList, modelFootList, modelTopList)


  return /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-grid-icon-list"
  }, topList.length <= 4 && /*#__PURE__*/_react.default.createElement("div", {
    className: "gird-item-top",
    style: getItem(topList.length)
  }, topList.map(function (item, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: ['gird-item', item['checked'] ? 'active' : ''].join(' '),
      onClick: function onClick() {
        if (item['disabled']) return;

        _control(item);
      },
      key: index
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "icons-ellipse-box ".concat(item !== null && item !== void 0 && item.checked ? 'icon-box-active' : '')
    }, /*#__PURE__*/_react.default.createElement("i", {
      className: "icons-ellipse ".concat(item.icon)
    })), /*#__PURE__*/_react.default.createElement("div", {
      className: "text ".concat(topList.length > 3 ? 'text-ellipse' : '')
    }, item.text), item['disabled'] && /*#__PURE__*/_react.default.createElement("div", {
      className: "item-i-disabled"
    }));
  })), footList.length > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "gird-item-top",
    style: getItem(footList.length)
  }, footList.map(function (item, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: ['gird-item', item['checked'] ? 'active' : ''].join(' '),
      onClick: function onClick() {
        if (item.value === null || item['disabled']) return;

        _control(item);
      },
      key: index
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "icons-ellipse-box ".concat(item !== null && item !== void 0 && item.checked ? 'icon-box-active' : '')
    }, /*#__PURE__*/_react.default.createElement("i", {
      className: "icons-ellipse ".concat(item.icon)
    })), /*#__PURE__*/_react.default.createElement("div", {
      className: "text ".concat(footList.length > 3 ? 'text-ellipse' : '')
    }, item.text), item['disabled'] && /*#__PURE__*/_react.default.createElement("div", {
      className: "item-i-disabled"
    }));
  }))), showMore && /*#__PURE__*/_react.default.createElement("div", {
    className: "item-ellipse-line-bottom"
  }), showMore && /*#__PURE__*/_react.default.createElement("div", {
    className: "more-btn",
    onClick: function onClick() {
      var bodyDom = document.querySelectorAll('body');
      bodyDom[0].style.overflow = 'hidden';
      setBtm(true);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "more-title"
  }, "\u66F4\u591A\u8BBE\u7F6E"), "  ", /*#__PURE__*/_react.default.createElement("div", {
    className: "icon insideicon-entry"
  })), /*#__PURE__*/_react.default.createElement(_index.default, {
    isShow: btm,
    confirmHandler: function confirmHandler(val) {
      // console.log(val);
      setTimeout(function () {
        var bodyDom = document.querySelectorAll('body');
        bodyDom[0].style.overflow = 'auto';
        setBtm(false);
      }, 500);
    },
    leftText: "\u66F4\u591A".concat(title),
    rightText: "\u53D6\u6D88",
    type: btmBarType,
    title: title
  }, /*#__PURE__*/_react.default.createElement(_IOTAllGrid.default, {
    modelTopList: modelTopList,
    middleList: middleList,
    modelFootList: modelFootList,
    styleType: "1",
    showIcon: true,
    control: function control(val) {
      _control(val);

      setTimeout(function () {
        var bodyDom = document.querySelectorAll('body');
        bodyDom[0].style.overflow = 'auto';
        setBtm(false);
      }, 500);
    }
  })));
};

var _default = ModelItem;
exports.default = _default;