"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _IOTPoleSlider = _interopRequireDefault(require("./IOTPoleSlider"));

var _utils = require("../../base/utils");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var Build = function Build(props) {
  var attrData = props.attrData,
      uiStreams = props.uiStreams,
      ruleJson = props.ruleJson,
      buildHandler = props.buildHandler;

  var _useState = (0, _react.useState)({}),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      attr = _useState2[0],
      setAttr = _useState2[1];

  var endHandler = function endHandler(item) {
    var obj = {};
    obj[item['streamId']] = item['value'] + '';
    buildHandler(obj);
  };

  var startHandler = function startHandler(item) {};

  (0, _react.useEffect)(function () {
    var streamId = attrData['streamId'];
    var curValue = uiStreams[streamId] === '' ? '-1' : uiStreams[streamId];
    var items = attrData['items'].map(function (item) {
      return _objectSpread(_objectSpread({}, item), {}, {
        checked: item['value'] === curValue,
        disabled: false
      });
    });
    var attr = (0, _utils.resolveRule)(_objectSpread(_objectSpread({}, attrData), {}, {
      endHandler: endHandler,
      startHandler: startHandler,
      items: items
    }), ruleJson, uiStreams);
    attr['originType'] && delete attr.originType;
    setAttr(_objectSpread({}, attr));
  }, [uiStreams, attrData]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, JSON.stringify(attr) === "{}" ? /*#__PURE__*/_react.default.createElement("div", null) : /*#__PURE__*/_react.default.createElement(_IOTPoleSlider.default, attr));
};

var _default = Build;
exports.default = _default;