import { iNumberProps } from '../../base/type';
export interface SliderProps extends iNumberProps {
    min: string;
    max: string;
    unit: string;
    unitdesc: string;
    step: string;
}
export interface IOTNumberSliderProps extends SliderProps {
    curValue: string;
    iconLeft: string;
    iconRight: string;
    startHandler?: (val: any) => void;
    endHandler?: (val: any) => void;
}
export interface IOTNumberSliderJson extends SliderProps {
    curValue: string;
    iconLeft: string;
    iconRight: string;
    startHandler?: (val: any) => void;
    endHandler?: (val: any) => void;
}
