import './Slider.less';
interface SliderProps {
    leftIcon?: string;
    rightIcon?: string;
    curValue: string | number;
    onchange: (val: any) => void;
    start: () => void;
    min: number;
    max: number;
    step: number;
    disabled: boolean;
    barStyle?: 'line' | 'bar';
    showHandleBtn: boolean;
    bottomNumber?: boolean;
    move: (val: any) => void;
    isStep?: boolean;
    defaultMin: string;
    defaultMax: string;
    dotsData?: any; /**
                       * 滑杆下面的文字信息列表,有级时 以此来判断份几级
                       * dots是一组json对象组成的数组;
                       * 包含的字段: value、text、icon;
                       * 例: [{value: 10, text: '低档', icon: model-cool},{value: 20, text: '中档',                    icon: model-cool}];
                       * */
}
declare const Slider: ({ leftIcon, rightIcon, barStyle, curValue, min, max, defaultMin, defaultMax, disabled, onchange, dotsData, step, start, move, isStep, showHandleBtn, }: SliderProps) => JSX.Element;
export default Slider;
