import { iNumberProps } from '../../base/type';
export declare type DisplayTimeType = 'hh:mm:ss' | 'hh:mm' | 'mm:ss' | 'hh' | 'mm' | 'ss';
export declare type UnitType = 'h' | 'min' | 's';
export interface DisplayHelpInfos {
    minVal: number;
    maxVal: number;
    stepVal: number;
    displayTimeType: DisplayTimeType;
    initValue: number;
}
export interface TimeConver {
    hoursFlag: boolean;
    minutesFlag: boolean;
    secondsFlag: boolean;
    descText: string;
}
export interface IOTTimeSliderProps extends iNumberProps {
    curValue: string;
    startHandler?: (val: any) => void;
    endHandler?: (val: any) => void;
    leftIcon?: string;
    rightIcon?: string;
    timeConver: TimeConver;
    unit: UnitType;
}
export declare type iIOTTimeSliderJSON = IOTTimeSliderProps;
