"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../../base/utils");

var _react = _interopRequireDefault(require("react"));

var _type = require("../../base/type");

var _IOTFaultAlarm = _interopRequireDefault(require("./IOTFaultAlarm"));

// import { iIOTWeatherJSON } from '.';
var grapesJSConfig = {
  type: [_type.ComponentsType.IOTFaultAlarm],
  id: _type.TagType.IOTFaultAlarm,
  tag: _type.TagType.IOTFaultAlarm,
  access: 'r',
  render: function render(jsonData) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    var props = _utils.mergeParameters.apply(void 0, [jsonData].concat(args));

    return /*#__PURE__*/_react.default.createElement(_IOTFaultAlarm.default, props);
  },
  buildData: function buildData() {
    var mock = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    var property = arguments.length > 1 ? arguments[1] : undefined;
    var props = {
      text: '进水阀故障，请检查设备是否有进水，水流是否减少。',
      type: 'middle',
      alarm: {
        title: 'asdfasdfa',
        errCode: '2736',
        solution: '这样解决掉它哦 ',
        contactTel: '999-999-999',
        code: '2'
      }
    };
    return props;
  },
  traits: function traits() {
    return [{
      type: 'image-card',
      name: 'faultAlarm',
      label: '故障告警',
      src: 'https://iotfestatic.s3.cn-north-1.jdcloud-oss.com/%E5%B0%8F%E4%BA%AC%E9%B1%BC%E5%B9%B3%E5%8F%B0/%E6%8B%96%E6%8B%BD%E5%B9%B3%E5%8F%B0%E9%9D%99%E6%80%81%E8%B5%84%E6%BA%90/errortips.png',
      style: {
        width: 228,
        height: 200
      }
    }];
  }
};
var _default = grapesJSConfig;
exports.default = _default;