"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

require("./style/index.less");

var _excluded = ["weather"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var prefixCls = 'iot-weather-out';

var IOTWeather = function IOTWeather(_ref) {
  var weather = _ref.weather,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)({
    flag: false,
    text: ''
  }),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      location = _useState2[0],
      setLocation = _useState2[1];

  var _useState3 = (0, _react.useState)({
    flag: false,
    text: ''
  }),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      temperature = _useState4[0],
      setTemperature = _useState4[1];

  var _useState5 = (0, _react.useState)({
    flag: false,
    text: ''
  }),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      humidity = _useState6[0],
      setHumidity = _useState6[1];

  var _useState7 = (0, _react.useState)({
    flag: false,
    text: ''
  }),
      _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
      pm25 = _useState8[0],
      setPm25 = _useState8[1];

  (0, _react.useEffect)(function () {
    if (weather) {
      setLocation(_objectSpread({}, weather['location']));
      setTemperature(_objectSpread({}, weather['temperature']));
      setHumidity(_objectSpread({}, weather['humidity']));
      setPm25(_objectSpread({}, weather['pm25']));
    }
  }, [weather]);
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-weather"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "new-weather"
  }, location.flag && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("i", {
    className: "icon-w insideicon-weater-location"
  }), /*#__PURE__*/_react.default.createElement("span", {
    className: "default-text"
  }, location.text ? location.text : '定位失败')), temperature.flag && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", {
    className: "line-new"
  }), /*#__PURE__*/_react.default.createElement("span", {
    className: "text"
  }, "\u6E29\u5EA6 ", temperature.text ? temperature.text + '℃' : '--')), humidity.flag && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", {
    className: "line-new"
  }), /*#__PURE__*/_react.default.createElement("span", {
    className: "text"
  }, "\u6E7F\u5EA6 ", humidity.text ? humidity.text : '--')), pm25.flag && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", {
    className: "line-new"
  }), /*#__PURE__*/_react.default.createElement("span", {
    className: "text"
  }, "PM2.5 ", pm25.text ? pm25.text : '--'))))));
};

var _default = IOTWeather;
exports.default = _default;