import * as React from 'react';
import { Helmet } from 'react-helmet-async';

// The doc prop contains some metadata about the page being rendered that you can use.
const Wrapper = ({ children, doc }) => (
  <React.Fragment>
    <Helmet>
      <meta charSet="utf-8" />
      <title>IOT-UI</title>
      <script src="https://storage.jd.com/testsmartcloud/rem.js"></script>
      <link rel="icon" type="image/png" href="http://example.com/myicon.png" />
      <link
        rel="stylesheet"
        type="text/css"
        // href="//static.360buyimg.com/nsng/device-control/build/icons/style.css"
        href="//beta-smart.jd.com/nsng/dragdrop/v1/icons/style.css"
      />
    </Helmet>
    {children}
  </React.Fragment>
);
export default Wrapper;
