import React, { useState } from 'react';
import { IOTNavBarProps } from './interface';
import './style/index.less';
const prefixCls = 'iot-switch';

const IOTSwitch: React.FC<IOTNavBarProps> = ({
  naviTitle,
  foregroundcolor,
  backgroundcolor,
  ...rest
}) => {

  return (
    <div className="iot-navbar" style={{ backgroundColor: backgroundcolor }}>
      <div
        style={{
          height: '20px',
          width: '100%',
          backgroundImage: `url("https://storage.jd.com/testsmartcloud/1642571692013_statusBar_default.png")`,
          backgroundSize: '100% 20px',
        }}
      ></div>
      <div
        className="navi-bar"
        style={{ color: foregroundcolor, backgroundColor: backgroundcolor, height: '44px' }}
      >
        <div className="title" style={{ color: foregroundcolor}}>
          {naviTitle}
        </div>
      </div>
    </div>
  );
};

export default IOTSwitch;
