import React from 'react';
import { iNormalIconProps } from './interface';
import './style.less';

const NormalIcon = (props:iNormalIconProps) => {
  const { url ,select} = props;
  return <div className={`normal-icon ${url} ${select && 'normal-icon-select'}`}></div>;
};

export default NormalIcon;