import React from "react";
import { IOTPointProps } from './interface';

const IOTPoint = (props:IOTPointProps) => {
  const {width,color} = props;
  return (
    <div
      className="iot-point"
      style={{
        width: width,
        height: width,
        backgroundColor: color,
        boxShadow : `0 0 8px ${color}`,
        borderRadius:width/2.0
      }}
    ></div>
  );
};

export default IOTPoint;