import React from 'react';
import { IOTCustomProps } from './interface';
import './style/index.less';

const prefixCls = 'iot-custom-out';

const IOTCustom: React.FC<IOTCustomProps> = ({ streamId, title, ...rest }) => {

  return (
    <div className={prefixCls} {...rest}>
      <div className="custom-main" >自定义组件{title?`:${title}`:''}</div>
    </div>
  );
};

export default IOTCustom;
