import React from 'react';
import IOTSwitch from '../IOTEntry';
import {IOTSwitchProps} from '../interface';

const props: IOTSwitchProps = {
  id: '111',
  type: 'bool',
  streamId: 'Power',
  title: '功能名称',
  subTitle: {
    show: true,
    value: '功能',
  },
  icon: {
    value: 'insideicon-cu-1',
    show: true,
  },
  curValue: false,
  serviceAddress:
    'http://yfsmartdev.jd.com/h5AndLua/toPreviewH5?h5Url=https://smarth5.3.cn/h5/2414070001/-1/1628580864063/index.html&jVersion=2&flag=sbEdit&networkType=4',
  handler: (val: any) => {
    window.location.href = val;
    // window.location.href="https://www.baidu.com";
  },
};
export default () => <IOTSwitch {...props} />;