import React from 'react';
import IOTIconNavigation from '../IOTIconNavigation';
import { IOTBottomSlideProps } from '../interface';
const handler = (val: any) => {
  // console.log(val);
}
const props: any = {
  list: [
    {
      title: "温度设置",
      icon: 'insideicon-cu-1',
      actionType: "jump",
      bindType: "streamId",
      curValue: undefined,
      functionName: "温度设置",
      id: "u8b1900b9605a40aca75b0e8d36069058",
      label: "",
      linkType: "link",
      max: "255.0",
      min: "0.0",
      step: "1",
      streamId: "TemperatureSet",
      streamName: "温度设置",
      type: "number",
      unit: "℃"
    },
    {
      title: '功能定义2',
      icon: 'insideicon-cu-1',
      unitConvertFlag:{
       hour:true,
       minute:false,
       second:false
      },
      type:'enum',
      curValue:'3',
      items: [
        {
          text: '大雾量量大雾量量大雾量量大雾量量大雾量量大雾量量大雾量量大雾量量',
          value: '1',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
          disabled: true,
        },
        {
          text: '中雾量量',
          value: '2',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
          disabled: true,
        },
        {
          text: '中雾量量',
          value: '3',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        }, 
        {
          text: '中雾量量',
          value: '4',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        }, 
        {
          text: '中雾量量',
          value: '5',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        }, 
        {
          text: '中雾量量',
          value: '6',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        }, 
        {
          text: '中雾量量',
          value: '7',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },{
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '8',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
        {
          text: '中雾量量',
          value: '9',
          icon: 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png',
          checked: false,
        },
      ],
    },
    {
      title: '功能定义3',
      icon: 'insideicon-cu-1',
      unitConvertFlag:{
       hour:true,
       minute:true,
       second:true
      }
    },
    {
      title: '功能定义4',
      icon: 'insideicon-cu-1',
    },
  ],
  type: '',
  streamId: ''
};
export default () => <IOTIconNavigation {...props} />;