import {iEnumProps,iItem} from '../../base/type';
export interface IOTGridProps extends iEnumProps{
  handler:(val:any) => void;
}
export interface Item {
  text: string,
  streamId?: string,
  icon: string,
  checked: boolean,
  disable: boolean,
  type?: string,
  url?: string,
  textShow:boolean,
  actionType: string, // modal jump control
  enumInfo?: Array<iItem>;
}
export interface IOTBottomProps {
  id: number | string,
  list: Item[],
  handler: (val: any) => void;
}



