import React, { useEffect, useState } from 'react';
import TagCom from './IOTImg';

const Build: React.FC<any> = (props: any) => {
  const { attrData, uiStreams } = props;
  const [attr, setAttr] = useState<any>({});

  useEffect(() => {
    const attr = { ...attrData };
    attr['originType'] && delete attr.originType;
    setAttr({ ...attr });
  }, [uiStreams,attrData]);

  return (<>
    {
      JSON.stringify(attr) === "{}" ?
        (<div></div>) :
        (<TagCom {...attr} />)
    }
  </>)
}

export default Build;
