import React from 'react';
import IOTPoleSlider from '../IOTPoleSlider';
import { IOTPoleSliderProps } from '../interface';

const props: IOTPoleSliderProps = {
  type: 'number',
  streamId: 'Word',
  title: '洗涤时间',
  icon: {
    show: true,
    value: 'insideicon-cu-1',
  },
  items: [{ "text": "1档", "value": "0", "icon": "insideicon-cu-1" }, { "text": "2档", "value": "1", "icon": "insideicon-cu-1" }, { "text": "3档", "value": "2", "icon": "insideicon-cu-1" }, { "text": "4档", "value": "3", "icon": "insideicon-cu-1" }, { "text": "5档", "value": "4", "icon": "insideicon-cu-1" }, { "text": "关闭", "value": "5", "icon": "insideicon-cu-1" }, { "text": "最低速档", "value": "6", "icon": "insideicon-cu-1" }
  ],
  "specialObj": { "checked": false, "item": { "text": "3档", "value": "2" } },
  curValue: '2',
  disabled: false,
  startHandler: (val: any) => { },
  endHandler: () => { },
  handler: () => { },
  streamName: '',
  styleType: '1'
};
export default () => <IOTPoleSlider {...props} />;