import React from 'react';
import IOTIconSlider from '../IOTIconSlider';
import { IOTIconSliderProps } from '../interface';

const props: IOTIconSliderProps = {
  type: 'number',
  streamId: 'Word',
  title: '温度',
  icon: {
    show: true,
    value: 'insideicon-cu-1',
  },
  disabled: false,
  min: '1.0',
  max: '10.0',
  step: '0.5',
  unit: '°C',
  intType:'float',
  unitdesc: '摄氏度',
  curValue: '1.0',
  startHandler: (val: any) => { },
  endHandler: (val:any) => {console.log(val) },
  leftIcon: '',
  rightIcon: '',
  streamName: ''
};
export default () => <IOTIconSlider {...props} />;