import React from 'react';
import IOTNoPoleSlider from '../IOTNoPoleSlider';
import { IOTNoPoleSliderProps } from '../interface';

const props: IOTNoPoleSliderProps = {
  type: 'number',
  streamId: 'Word',
  title: '洗涤时间',
  icon: {
    show: true,
    value: 'insideicon-cu-1',
  },
  min: '1',
  max: '20',
  step: '5',
  unitdesc: '',
  curValue: '6',
  intType:'int64',
  unit: 'h',
  disabled: false,
  startHandler: (val: any) => { },
  endHandler: (val:any) => {console.log(val) },
  streamName: ''
};
export default () => <IOTNoPoleSlider {...props} />;