import { iNumberProps } from '../../base/type';
export interface SliderProps extends iNumberProps{
  min: string; //"最小值，字符串表示",
  max: string; //"最大值，字符串表示",
  unit: string; //"单位，字符串表示",
  unitdesc: string; //"单位描述，字符串表示",
  step: string; //"步长，字符串表示"
}

export interface IOTNumberSliderProps extends SliderProps {
  curValue: string;
  iconLeft: string;
  iconRight: string;
  startHandler?: (val: any) => void;
  endHandler?: (val: any) => void;
}

export interface IOTNumberSliderJson extends SliderProps {
  curValue: string;
  iconLeft: string;
  iconRight: string;
  startHandler?: (val: any) => void;
  endHandler?: (val: any) => void;
}