import React from "react";
import './index.less'
import imageSrc from './exclamation.png';
import phoneimageSrc from './phone.png';

const AlarmHigh = (props: any) => {
    const { show, title, errCode, solution, handler, contactTel } = props;
    return <>
        {
            (
                <div className="alarm-high-bg">
                    <div className="alarm-high-context">
                        <img className="alarm-high-imge" src={imageSrc} />
                        <div className="err-code">故障码：{errCode}</div>
                        <div className="title">{title}</div>
                        <div className="solution-wrapper">
                            <div className="solution-title">
                                <span className="solution-title-span">按照以下步骤操作, 解除故障</span>
                            </div>
                            <div className="dividing" />
                            <div className="solution">{solution}</div>
                        </div>
                        <div className="confirm-btn" onClick={() => {
                            window.location.href = 'tel:' + contactTel;
                        }}>
                            <img className="alarm-phone-imge" src={phoneimageSrc} />
                            <div>{contactTel}</div>
                        </div>
                    </div>
                </div>
            )
        }
    </>



}
export default AlarmHigh