import React from "react";
import './index.less'

const AlarmTip = (props: any) => {
    const { show, title, errCode, solution,handler } = props;
    return <>
        {
            show && (
                <div className="alarm-tip-bg">
                    <div className="alarm-context">
                        <div className="title">{title}</div>
                        <div className="err-code">故障码：{errCode}</div>
                        <div className="solution">{solution}</div>
                        <div className="confirm-btn" onClick={() => {
                            handler();
                        }}>我知道了</div>
                    </div>
                </div>
            )
        }
    </>



}
export default AlarmTip