 
type item = {
  streamId:string,
  type:string,
  attr:any
}

import { iBaseProps } from "../../base/type";

type UnitType = 'h' | 'min' | 's'; // 传入时间组件的数据的单位 h:小时
export interface Item {
  title: string,
  text: string | number;
  label?:string;
  unit?: string;
  unitConvertFlag?:unitProps
}

export interface IOTTimeTaskProps extends iBaseProps{
  list:Array<Item>;
  label?:string;
  handler?:() => void
}

export interface iFunctionConfig{
  id: string;
  functionName?: string;
  streamId?: string;
  valueDef?: any;
  desc?:string;
}

export interface iIOTTimeTaskJSON extends iBaseProps {
  list: Array<iConfigItem>;
}
export interface iConfigItem {
  id?: string;
  functionName?: string;
  streamName?: string;
  streamId?: string;
  valueDef?: any;
  desc?: string;
  title?:string;
	text?:string;
  label?:string;
  unit?: string;
  unitConvertFlag?:unitProps
}


export interface unitProps {
  hour:boolean;
  minute:boolean;
  second:boolean;
}