import React from 'react';
import IOTWeather from '../IOTWeather';
import { IOTWeatherProps } from '../interface';

const props: IOTWeatherProps = {
  type: 'service',
  weather: {
    location: {
      flag: true,
      text: '定位失败'
    },
    temperature: {
      flag: true,
      text: '-25℃'
    },
    humidity: {
      flag: false,
      text: '100%'
    },
    pm25: {
      flag: true,
      text: '500'
    }
  }

};
export default () => <IOTWeather {...props} />;