"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var IOTPoint = function IOTPoint(props) {
  var width = props.width,
      color = props.color;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-point",
    style: {
      width: width,
      height: width,
      backgroundColor: color,
      boxShadow: "0 0 8px ".concat(color),
      borderRadius: width / 2.0
    }
  });
};

var _default = IOTPoint;
exports.default = _default;