"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

require("./index.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var IOTBottomSlide = function IOTBottomSlide(props) {
  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      state = _useState2[0],
      setState = _useState2[1];

  (0, _react.useEffect)(function () {
    setTimeout(function () {
      setState(props.isShow);
    }, 0);
  }, [props.isShow]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.isShow && /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-bottom-slide"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-bottom-layer",
    style: {
      bottom: state ? '0' : '-80%'
    }
  }, props.type === "com" && /*#__PURE__*/_react.default.createElement("div", {
    className: "top"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "left",
    onClick: function onClick() {
      props.confirmHandler(false);
    }
  }, props.leftText), /*#__PURE__*/_react.default.createElement("div", {
    className: "middles"
  }, props.title), /*#__PURE__*/_react.default.createElement("div", {
    className: "right",
    onClick: function onClick() {
      props.confirmHandler(true);
    }
  }, props.rightText)), props.type === "show" && /*#__PURE__*/_react.default.createElement("div", {
    className: "top"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "left-show",
    onClick: function onClick() {}
  }, " ", /*#__PURE__*/_react.default.createElement("div", {
    className: "middle-show"
  }, props.leftText, " "), " "), /*#__PURE__*/_react.default.createElement("div", {
    className: "right",
    onClick: function onClick() {
      props.confirmHandler(false);
    }
  }, props.rightText)), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-bottom-context"
  }, props.children))));
};

var _default = IOTBottomSlide;
exports.default = _default;