import { iBaseProps } from "../../base/type";
export interface Item {
    title: string;
    text: string | number;
    label?: string;
    unit?: string;
    unitConvertFlag?: unitProps;
}
export interface ICardMultiText extends iBaseProps {
    list: Array<Item>;
}
export interface iFunctionConfig {
    id: string;
    functionName?: string;
    streamId?: string;
    valueDef?: any;
    desc?: string;
}
export interface iCardMultiTextJSON extends iBaseProps {
    list: Array<iConfigItem>;
}
export interface iConfigItem {
    id?: string;
    functionName?: string;
    streamName?: string;
    streamId?: string;
    valueDef?: any;
    desc?: string;
    title?: string;
    text?: string;
    label?: string;
    unit?: string;
    unitConvertFlag?: unitProps;
}
export interface unitProps {
    hour: boolean;
    minute: boolean;
    second: boolean;
}
