"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["streamId", "subTitle", "title", "curValue", "disabled", "icon", "serviceName", "serviceAddress", "handler"];

var IOTEntry = function IOTEntry(_ref) {
  var streamId = _ref.streamId,
      subTitle = _ref.subTitle,
      title = _ref.title,
      curValue = _ref.curValue,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      icon = _ref.icon,
      serviceName = _ref.serviceName,
      serviceAddress = _ref.serviceAddress,
      _ref$handler = _ref.handler,
      handler = _ref$handler === void 0 ? function (val) {} : _ref$handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-switch",
    onClick: function onClick() {
      handler && handler('');
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-left"
  }, (icon === null || icon === void 0 ? void 0 : icon.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['switch-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-title",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-main"
  }, title), (subTitle === null || subTitle === void 0 ? void 0 : subTitle.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-sub"
  }, subTitle['value']))), /*#__PURE__*/_react.default.createElement("div", {
    className: "switch-right"
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: ['switch-btn', 'insideicon-entry'].join(' ')
  })));
};

var _default = IOTEntry;
exports.default = _default;