"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

require("./style/index.less");

var _index2 = require("../../index");

var _utils = require("../IOTCardMultiText/utils");

var _excluded = ["list", "streamId", "specs"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'iot-mini-card-text';

var IOTMiniCardText = function IOTMiniCardText(_ref) {
  var list = _ref.list,
      streamId = _ref.streamId,
      specs = _ref.specs,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(list),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      curList = _useState2[0],
      setCurList = _useState2[1];

  var timeConverHandler = function timeConverHandler(text, items) {
    var _items$label;

    if ((0, _index2.checkLabelContainTag)('7', (_items$label = items.label) !== null && _items$label !== void 0 ? _items$label : '')) {
      return (0, _utils.isSymbolFormatTime)(Number.parseInt(text), items.unit || 'min', items.unitConvertFlag);
    } else {
      return text;
    }
  };

  (0, _react.useEffect)(function () {
    setCurList(list);
  }, [list]);
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), curList.map(function (items, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: "card-items",
      key: index
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "card-title ".concat(curList.length > 1 ? 'card-double-title' : '')
    }, items.title), /*#__PURE__*/_react.default.createElement("div", {
      className: "card-state-text  ".concat(curList.length > 1 ? 'card-doubel-state-text' : '')
    }, items.text ? timeConverHandler(items.text, items) : '- -'));
  }));
};

var _default = IOTMiniCardText;
exports.default = _default;