"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _reactUse = require("react-use");

require("./style.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var MyTheme = function MyTheme(_ref) {
  var style = _ref.style,
      oldTheme = _ref.oldTheme;

  var _useState = (0, _react.useState)({}),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      variables = _useState2[0],
      setVariables = _useState2[1]; //生成theme 字典
  // theme = [{
  // 	commentary:小家主题
  // 	variables:[
  // 	{
  // 		key:string;
  // 		value:string;
  // 		desc:string|undefined;
  // 	}
  // ]
  // }]


  var _useState3 = (0, _react.useState)([]),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      theme = _useState4[0],
      setTheme = _useState4[1];

  var _useToggle = (0, _reactUse.useToggle)(false),
      _useToggle2 = (0, _slicedToArray2.default)(_useToggle, 2),
      isEditVisible = _useToggle2[0],
      toggleEditVisible = _useToggle2[1];

  (0, _react.useEffect)(function () {
    if (window.theme === undefined) {
      var commentaryBlock = regCommentaryBlock();
      var tempTheme = commentaryBlock.map(function (item, index) {
        //区块的变量
        return regSingleCommentaryAndVariable(item);
      });
      setTheme(tempTheme);
      window.theme = tempTheme;
    } else {
      setTheme(window.theme);
    }
  }, []);
  (0, _react.useEffect)(function () {
    var tempVariables = {};
    theme.forEach(function (item) {
      tempVariables = _objectSpread(_objectSpread({}, tempVariables), item.tempVariables);
    });
    setVariables(tempVariables);
  }, [theme]); //获取注释块

  var regCommentaryBlock = function regCommentaryBlock() {
    var regExp = /\/\*[\s\S]*?\n\s*\n/g;
    var matchAllResult = oldTheme.matchAll(regExp);
    var array = (0, _toConsumableArray2.default)(matchAllResult);
    console.log(array.length);
    return array.map(function (item) {
      return item[0];
    });
  }; //遍历主题块中找出多行注释 单行注释和变量


  var regSingleCommentaryAndVariable = function regSingleCommentaryAndVariable(commentaryBlock) {
    var _blockCommentaryRegEx;

    //块注释
    var blockCommentaryRegExp = /(\/\*[\s\S]*?\*\/)\n.*--/g;
    var blockCommentaryRegExpResult = commentaryBlock.matchAll(blockCommentaryRegExp);
    var blockCommentaryRegExpArray = (0, _toConsumableArray2.default)(blockCommentaryRegExpResult);
    var blockCommentary = (blockCommentaryRegExpArray === null || blockCommentaryRegExpArray === void 0 ? void 0 : (_blockCommentaryRegEx = blockCommentaryRegExpArray[0]) === null || _blockCommentaryRegEx === void 0 ? void 0 : _blockCommentaryRegEx[1]) || ''; //单行注释和变量

    var regExp = /(--[\s\S]*?);(\/\*.*\*\/)*/g;
    var matchAllResult = commentaryBlock.matchAll(regExp);
    var array = (0, _toConsumableArray2.default)(matchAllResult);
    var tempVariables = {};
    var themes = array.map(function (item) {
      var commentary = item[2];
      var variSplit = item[1].split(':');
      var variSplitKey = '';
      var variSplitValue = '';

      if (variSplit.length >= 2) {
        variSplitKey = variSplit[0].replaceAll('--', '');
        variSplitValue = variSplit[1].replaceAll(';', '');
      }

      tempVariables[variSplitKey] = {
        commentary: commentary,
        value: variSplitValue
      };
      return {
        key: variSplitKey,
        value: variSplitValue,
        commentary: commentary
      }; //
      //可能匹配两种
      //背景色
      //--card-bg-color: #FFF;
      //或
      //--card-bg-color: #FFF;
      // if (item[2] !== undefined) {
      //   //第一种取值
      //   // console.log(item[0]); //匹配值
      //   // console.log(item[1]); //注释
      //   // console.log(item[2]); //变量
      //   const commentary = item[1];
      //   const variSplit = item[0].split(':');
      //   let variSplitKey = '';
      //   let variSplitValue;
      //   if (variSplitKey.length >= 2) {
      //     variSplitKey = variSplitKey[0].replaceAll('--','');
      //     variSplitValue = variSplitKey[1].replaceAll(';', '');
      //   }
      // 	tempVariables[variSplitKey] = {
      //       commentary: commentary,
      //       value: variSplitValue,
      //     };
      //   return {
      //     key: variSplitKey,
      //     value: variSplitValue,
      //     commentary: commentary,
      //   };
      // } else {
      //   //第二种取值
      //   // console.log(item[0]); //变量
      // 	const item0 = item[0];
      //   let item0Split = item0.split(':');
      //   let item0Key = '';
      //   let item0KeyValue;
      //   if (item0Split.length >= 2) {
      //     item0Key = item0Split[0].replaceAll('--','');
      //     item0KeyValue = item0Split[1].replaceAll(';', '');
      //   }
      // 	tempVariables[item0Key] = {
      //     key: item0Key,
      //     value: item0KeyValue,
      //     commentary: '',
      //   };
      //   return {
      //     key: item0Key,
      //     value: item0KeyValue,
      //     commentary: '',
      //   };
      // }
    });
    return {
      commentary: blockCommentary,
      variables: themes,
      tempVariables: tempVariables
    };
  };

  var getEditThemes = function getEditThemes() {
    var reg = /\(--(.*)\)/g;
    var matchAllResult = style.matchAll(reg);
    var array = (0, _toConsumableArray2.default)(matchAllResult);
    return array.map(function (item, index) {
      var key = item[1];
      var variable = variables[key];

      if (variable === undefined) {
        return undefined;
      } //标题


      var title = item[1]; //desc

      var desc = '';

      if (variable.commentary) {
        var regEpx = /\/\*(.*)\*\//g;
        var result = regEpx.exec(variable.commentary);
        desc = (result === null || result === void 0 ? void 0 : result[1]) || '';
      }

      var value = document.documentElement.style.getPropertyValue("--".concat(key));

      if (value === undefined || value === '') {
        value = variable.value;
      }

      return /*#__PURE__*/_react.default.createElement("div", {
        className: "theme-item",
        style: {
          display: 'flex'
        },
        key: key + index
      }, /*#__PURE__*/_react.default.createElement("div", {
        className: "theme-item-title"
      }, title), /*#__PURE__*/_react.default.createElement("div", {
        className: "theme-item-desc"
      }, desc), /*#__PURE__*/_react.default.createElement("input", {
        className: "theme-item-input",
        defaultValue: value,
        type: "text",
        onBlur: function onBlur(e) {
          document.documentElement.style.setProperty("--".concat(key), e.target.value);
          console.log(e.target.value);
        }
      }));
    });
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "my-theme"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "my-theme-header"
  }, /*#__PURE__*/_react.default.createElement("div", null), /*#__PURE__*/_react.default.createElement("div", {
    className: "header-save",
    onClick: /*#__PURE__*/(0, _asyncToGenerator2.default)( /*#__PURE__*/_regenerator.default.mark(function _callee() {
      var themeCss, a;
      return _regenerator.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              //保存主题 theme.css
              themeCss = ':root {';
              theme.forEach(function (item) {
                themeCss = "".concat(themeCss, "\n\n  ").concat(item.commentary);
                item.variables.forEach(function (variable) {
                  var _variable$commentary;

                  //保存属性值
                  var value = variable.value;
                  var modifyValue = document.documentElement.style.getPropertyValue("--".concat(variable.key));

                  if (modifyValue) {
                    value = modifyValue;
                  }

                  themeCss = "".concat(themeCss, "\n  --").concat(variable.key, ":").concat(value, ";").concat((_variable$commentary = variable.commentary) !== null && _variable$commentary !== void 0 ? _variable$commentary : '');
                });
              });
              themeCss = "".concat(themeCss, "\n}");
              _context.prev = 3;
              a = document.createElement('a');
              a.href = 'data:text/plain;charset=utf-8,' + encodeURIComponent(themeCss);
              a.download = 'theme.css';
              document.body.appendChild(a);
              _context.next = 10;
              return a.click();

            case 10:
              document.body.removeChild(a);
              _context.next = 16;
              break;

            case 13:
              _context.prev = 13;
              _context.t0 = _context["catch"](3);
              console.log(_context.t0);

            case 16:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[3, 13]]);
    }))
  }, "\u4FDD\u5B58")), theme.length > 0 ? getEditThemes() : undefined);
};

var _default = MyTheme;
exports.default = _default;