"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _LongPress = _interopRequireDefault(require("./LongPress"));

require("./style/index.less");

var _excluded = ["subTitle", "streamId", "btnTitle", "leftBtn", "rightBtn", "handler"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'iot-element-double-button';

var IOTDoubleButton = function IOTDoubleButton(_ref) {
  var subTitle = _ref.subTitle,
      streamId = _ref.streamId,
      btnTitle = _ref.btnTitle,
      leftBtn = _ref.leftBtn,
      rightBtn = _ref.rightBtn,
      _ref$handler = _ref.handler,
      handler = _ref$handler === void 0 ? function (val) {} : _ref$handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(0),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      timer = _useState2[0],
      setTimer = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      isNoStop = _useState4[0],
      setIsNoStop = _useState4[1]; // 不停止长按
  // 长按控制


  var onLongPress = function onLongPress(type) {
    var time = setInterval(function () {
      handler(type);
    }, 500);
    setTimer(time);
  };

  (0, _react.useEffect)(function () {
    if (!isNoStop && timer) {
      clearInterval(timer);
    }
  }, [isNoStop, timer]); // 左

  var changeLeftHnadler = (0, _LongPress.default)(function () {
    setIsNoStop(true);
    onLongPress('left');
  }, function () {
    handler('left');
  }, function () {
    setIsNoStop(false);
  }); // 右

  var changeRightHnadler = (0, _LongPress.default)(function () {
    setIsNoStop(true);
    onLongPress('right');
  }, function () {
    handler('right');
  }, function () {
    setIsNoStop(false);
  });
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: "btn-box"
  }, changeLeftHnadler), /*#__PURE__*/_react.default.createElement("i", {
    className: "btns ".concat(leftBtn ? leftBtn : 'insideicon-reduce')
  })), /*#__PURE__*/_react.default.createElement("span", {
    className: "btn-text"
  }, btnTitle), /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: "btn-box"
  }, changeRightHnadler), /*#__PURE__*/_react.default.createElement("i", {
    className: "btns ".concat(leftBtn ? leftBtn : 'insideicon-plus')
  })));
};

var _default = IOTDoubleButton;
exports.default = _default;