"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["title", "streamId", "curValue", "subTitle", "icon", "btnIcon", "disabled", "streamName", "handler"];
var prefixCls = 'iot-element-icon';

var IOTIcon = function IOTIcon(_ref) {
  var title = _ref.title,
      streamId = _ref.streamId,
      curValue = _ref.curValue,
      subTitle = _ref.subTitle,
      icon = _ref.icon,
      btnIcon = _ref.btnIcon,
      disabled = _ref.disabled,
      streamName = _ref.streamName,
      handler = _ref.handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "power-icon ".concat(disabled ? 'disabled' : '', " "),
    onClick: function onClick() {
      var item = {
        value: !curValue,
        streamId: streamId
      };
      handler === null || handler === void 0 ? void 0 : handler(item);
    }
  }, /*#__PURE__*/_react.default.createElement("i", {
    className: "power-icon-img ".concat(btnIcon ? btnIcon : 'insideicon-power', "  ").concat(disabled ? 'disabled' : '', " ")
  })));
};

var _default = IOTIcon;
exports.default = _default;