"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _index = _interopRequireDefault(require("../../common/IOTBottomSlide/index"));

require("./style/index.less");

var _IOTAllGrid = _interopRequireDefault(require("../IOTAllGrid"));

var _excluded = ["streamId", "icon", "title", "subTitle", "disabled", "items", "handler", "childrenIcon"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'iot-cord-entry-enum-out';

var IOTCordEntryenum = function IOTCordEntryenum(_ref) {
  var streamId = _ref.streamId,
      icon = _ref.icon,
      title = _ref.title,
      subTitle = _ref.subTitle,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      items = _ref.items,
      _ref$handler = _ref.handler,
      handler = _ref$handler === void 0 ? function (val) {} : _ref$handler,
      _ref$childrenIcon = _ref.childrenIcon,
      childrenIcon = _ref$childrenIcon === void 0 ? false : _ref$childrenIcon,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(''),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      currentValue = _useState2[0],
      setcurrentValue = _useState2[1];

  var _useState3 = (0, _react.useState)({}),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      currValue = _useState4[0],
      setcurValue = _useState4[1];

  var _useState5 = (0, _react.useState)('show'),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      btmBarType = _useState6[0],
      setBtmBarType = _useState6[1]; // com // show


  var _useState7 = (0, _react.useState)(false),
      _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
      btm = _useState8[0],
      setBtm = _useState8[1];

  var onChange = function onChange(value) {
    setcurrentValue(value); // console.log(value);
  };

  var _useState9 = (0, _react.useState)([]),
      _useState10 = (0, _slicedToArray2.default)(_useState9, 2),
      middleList = _useState10[0],
      setMiddleList = _useState10[1];

  var _useState11 = (0, _react.useState)([]),
      _useState12 = (0, _slicedToArray2.default)(_useState11, 2),
      modelTopList = _useState12[0],
      setModelTopList = _useState12[1];

  var _useState13 = (0, _react.useState)([]),
      _useState14 = (0, _slicedToArray2.default)(_useState13, 2),
      modelFootList = _useState14[0],
      setModelFootList = _useState14[1];

  (0, _react.useEffect)(function () {
    if (items.length > 0) {
      if (items.length > 0 && items.length <= 4) {
        setModelTopList((0, _toConsumableArray2.default)(items));
      } else if (items.length > 4 && items.length <= 8) {
        var topArr;
        var footArr;

        if (items.length === 5) {
          topArr = items.slice(0, 3);
          footArr = items.slice(3);
        } else if (items.length === 6) {
          topArr = items.slice(0, 3);
          footArr = items.slice(3);
        } else {
          topArr = items.slice(0, 4);
          footArr = items.slice(4);
        }

        setModelTopList((0, _toConsumableArray2.default)(topArr));
        setModelFootList((0, _toConsumableArray2.default)(footArr));
      } else if (items.length > 8) {
        var l = items.length;
        var n = Math.floor(l / 4);
        var m = l % 4; // console.log(l, 'llll');
        // console.log(m, 'mmmmm');

        if (m > 0) {
          n = n + 1 - 2;
        } else {
          n = n - 2;
        } // console.log(n, 'nnnnnn');


        var arr = items.slice(4, l - m); // console.log(arr, 'arr');

        var middle = [];

        for (var i = 0; i < n; i++) {
          var item = arr.slice(i * 4, i * 4 + 4); // console.log(item, 'arr');

          middle.push(item);
        } // console.log(middle, 'middle~~~~');


        var _topArr = items.slice(0, 4);

        var footArrMode = m === 0 ? items.slice(l - 4) : items.slice(l - m);
        setMiddleList(middle);
        setModelTopList((0, _toConsumableArray2.default)(_topArr));
        var mentalist = []; // console.log(m, 'm========');

        if (m > 0) {
          for (var _i = 0; _i < 4 - m; _i++) {
            var _item = {
              value: null,
              text: '',
              icon: '',
              checked: false
            };
            mentalist.push(_item);
          }
        }

        setModelFootList([].concat((0, _toConsumableArray2.default)(footArrMode), mentalist));
      }
    }
  }, [items]);
  (0, _react.useEffect)(function () {
    if (items) {
      items.map(function (item) {
        if (item['checked']) {
          setcurrentValue(item['text']);
        }
      });
    }
  }, [items]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-cord-entry-enum"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-left"
  }, (icon === null || icon === void 0 ? void 0 : icon.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['cord-entry-enum-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-title",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-main"
  }, title), (subTitle === null || subTitle === void 0 ? void 0 : subTitle.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-sub"
  }, subTitle['value']))), /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-right",
    onClick: function onClick() {}
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "enum-show",
    onClick: function onClick() {
      setBtm(true);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-text"
  }, currentValue), /*#__PURE__*/_react.default.createElement("div", {
    className: "arrow insideicon-entry"
  }))), disabled && /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-disable"
  }))), /*#__PURE__*/_react.default.createElement(_index.default, {
    isShow: btm,
    confirmHandler: function confirmHandler(val) {
      // console.log(val);
      setTimeout(function () {
        var bodyDom = document.querySelectorAll('body');
        bodyDom[0].style.overflow = 'auto';
        setBtm(false);
      }, 500);
    },
    leftText: "\u66F4\u591A".concat(title),
    rightText: "\u53D6\u6D88",
    type: btmBarType,
    title: title
  }, /*#__PURE__*/_react.default.createElement(_IOTAllGrid.default, {
    modelTopList: modelTopList,
    middleList: middleList,
    modelFootList: modelFootList,
    styleType: "1",
    control: function control(val) {
      handler(val);
      setTimeout(function () {
        var bodyDom = document.querySelectorAll('body');
        bodyDom[0].style.overflow = 'auto';
        setBtm(false);
      }, 500);
    }
  })));
};

var _default = IOTCordEntryenum;
exports.default = _default;