import { iBaseProps } from '../../base/type';
export interface IOTPoleSliderProps extends iBaseProps {
    handler?: (val: any) => void;
    curValue: string;
    startHandler?: (val: any) => void;
    endHandler?: (val: any) => void;
    specialObj?: specialObjProps;
    styleType: string;
    items: Iitem[];
    showIconFont?: boolean;
}
export interface specialObjProps {
    checked: boolean;
    item?: Iitem;
}
export declare type iIOTPoleSliderJSON = IOTPoleSliderProps;
export interface Iitem {
    text: string;
    value: string;
    icon?: string;
    checked?: boolean;
    disabled?: boolean;
}
