import { specialObjProps, Iitem } from '../interface';
import './style.less';
interface SliderProps {
    curValue: string | number;
    onchange: (val: any) => void;
    start: () => void;
    disabled: boolean;
    barStyle?: 'line' | 'bar';
    bottomNumber?: boolean;
    move: (val: any) => void;
    dotsData: Iitem[];
    isSpecial?: boolean;
    specialObj: specialObjProps;
    styleType: string;
    defaultDataSource: Iitem[];
}
declare const Slider: ({ barStyle, isSpecial, specialObj, curValue, styleType, disabled, onchange, dotsData, defaultDataSource, start, move, }: SliderProps) => JSX.Element;
export default Slider;
