import { iFunction } from './base/type';
export { default as IOTNavBar } from './base/IOTNavBar/IOTNavBar';
export { default as IOTPower } from './bool/power/IOTPower';
export { default as IOTSwitch } from './bool/switch/IOTSwitch';
export { default as IOTCardMultiText } from './common/IOTCardMultiText/IOTCardMultiText';
export { default as IOTGrid } from './enum/IOTGrid/IOTGrid';
export { default as IOTCordEntryNumber } from './number/IOTCordEntryNumber/IOTCordEntryNumber';
export { default as IOTIconSlider } from './number/IOTIconSlider/IOTIconSlider';
export { default as IOTTimeSlider } from './number/IOTTimeSlider/IOTTimeSlider';
export { default as IOTSlider } from './number/IOTSlider/IOTSlider';
export { default as IOTWeather } from './service/IOTWeather/IOTWeather';
export { default as IOTCordEntryEnum } from './enum/IOTCordEntryEnum/IOTCordEntryEnum';
export { default as IOTMiniCardText } from './common/IOTMiniCardText/IOTMiniCardText';
export { default as IOTImg } from './element/IOTImg/IOTImg';
export { default as IOTCustom } from './common/IOTCustom/IOTCustom';
export { default as IOTAlert } from './service/IOTAlert/IOTAlert';
export { default as IOTTimeTask } from './service/IOTTimeTask/IOTTimeTask';
export { default as IOTPoleSlider } from './enum/IOTPoleSlider/IOTPoleSlider';
export { default as IOTNoPoleSlider } from './number/IOTNoPoleSlider/IOTNoPoleSlider';
export { default as IOTIconGrid } from './enum/IOTIconGrid/IOTIconGrid';
export { default as IOTExecutePower } from './enum/IOTExecutePower/IOTExecutePower';
export { default as IOTIconNavigation } from './common/IOTIconNavigation/IOTIconNavigation';
export { default as IOTDataLog } from './service/IOTDataLog/IOTDataLog';
export { default as IOTEntry } from './common/IOTEntry/IOTEntry';
export { default as IOTPowerBuild } from './bool/power/build';
export { default as IOTSwitchBuild } from './bool/switch/build';
export { default as IOTCardMultiTextBuild } from './common/IOTCardMultiText/build';
export { default as IOTGridBuild } from './enum/IOTGrid/build';
export { default as IOTCordEntryNumberBuild } from './number/IOTCordEntryNumber/build';
export { default as IOTIconSliderBuild } from './number/IOTIconSlider/build';
export { default as IOTTimeSliderBuild } from './number/IOTTimeSlider/build';
export { default as IOTSliderBuild } from './number/IOTSlider/build';
export { default as IOTWeatherBuild } from './service/IOTWeather/build';
export { default as IOTCordEntryEnumBuild } from './enum/IOTCordEntryEnum/build';
export { default as IOTMiniCardTextBuild } from './common/IOTMiniCardText/build';
export { default as IOTImgBuild } from './element/IOTImg/build';
export { default as IOTPoleSliderBuild } from './enum/IOTPoleSlider/build';
export { default as IOTNoPoleSliderBuild } from './number/IOTNoPoleSlider/build';
export { default as IOTCustomBuild } from './common/IOTCustom/build';
export { default as IOTIconGridBuild } from './enum/IOTIconGrid/build';
export { default as IOTExecutePowerBuild } from './enum/IOTExecutePower/build';
export { default as IOTConsumablesBuild } from './service/IOTConsumables/build';
export { default as IOTIconNavigationBuild } from './common/IOTIconNavigation/build';
/**
 * 拖拽平台物模型支持的组件列表
 *
 * 处理属性支持的组件
 * 处理组件在右侧展示顺序
 * // 获取来源值 detailType === '1' 是为 小程序接入 否则 是 h5 接入
 * // 获取来源值 appType === '1' 是为 小京鱼APP 否则 是 小家APP
 */
declare const _default: (detailType: string, appType: string, allGrapesJSConfig: boolean | undefined, func: iFunction) => any[];
export default _default;
/**
 *检查label('2,3,7')字符中是否包含特定tag
 *1:耗村类 2:故障类 3:支持别名 4:支持云定时 5:事件型 6:用户数据类 7:时间类
 * @param {string} tag
 * @param {string} label
 * @return {*}
 */
export declare const checkLabelContainTag: (tag: string, label: string) => boolean;
