import { TimeConver, UnitType } from './interface';
/**
 *
 * @param initTime 初始时间 默认是分钟
 * @param unit 初始单位
 * @param type 要转换的时间格式 "hh:mm:ss" | "hh:mm" | "mm:ss" | 'hh' | "mm" | "ss"
 * @returns
 */
export declare const getSeconds: (initTime: number, unit: string) => number;
export declare const getDisplayTime: (timeConver: TimeConver, unit: UnitType) => string;
export declare const formatTime: (initTime: number, unit: UnitType, timeConver: TimeConver) => string;
