interface SliderProps {
    start: () => void;
    processHanlder: (arg: any) => any;
    onchange: (arg0: any) => any;
    currentVal: number;
    refProgess: any;
}
/**
 *
 * @param start 开始触摸事件
 * @param processHanlder move事件
 * @param onchange 触摸结束后事件
 * @param currentVal 参数值
 * @param refProgess ref实例
 * @returns
 */
declare const SliderControl: ({ start, processHanlder, onchange, currentVal, refProgess }: SliderProps) => {
    onTouchStart: (e: any) => void;
    onTouchMove: (e: any) => void;
    onTouchEnd: () => void;
    onTouchCancel: () => void;
};
export default SliderControl;
