"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../../base/utils");

var _react = _interopRequireDefault(require("react"));

var _type = require("../../base/type");

var _IOTAlert = _interopRequireDefault(require("./IOTAlert"));

// import { iIOTWeatherJSON } from '.';
var grapesJSConfig = {
  type: [_type.ComponentsType.IOTAlert],
  id: _type.TagType.IOTAlert,
  tag: _type.TagType.IOTAlert,
  access: 'r',
  render: function render(jsonData) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    var props = _utils.mergeParameters.apply(void 0, [jsonData].concat(args));

    return /*#__PURE__*/_react.default.createElement(_IOTAlert.default, props);
  },
  buildData: function buildData() {
    var mock = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    var property = arguments.length > 1 ? arguments[1] : undefined;
    var props = {
      message: "提示文案",
      type: "info",
      jugements: [],
      streams: {},
      isBuild: false
    };
    return props;
  },
  traits: function traits() {
    return [{
      type: 'style-link',
      name: 'jugements',
      label: '添加配置'
    }];
  }
};
var _default = grapesJSConfig;
exports.default = _default;