"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _interface = require("./interface");

require("./style/index.less");

var _excluded = ["streamId", "icon", "title", "subTitle", "consumablesList", "thumbnailTheme1", "thumbnailTheme12", "disabled", "streamValue", "handler", "childrenIcon"];

var _typeList;

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'iot-cord-entry-enum-out';
var typeList = (_typeList = {}, (0, _defineProperty2.default)(_typeList, _interface.currentValueType.normal, {
  status: _interface.currentValueType.normal,
  text: '正常'
}), (0, _defineProperty2.default)(_typeList, _interface.currentValueType.error, {
  status: _interface.currentValueType.error,
  text: '已过期'
}), (0, _defineProperty2.default)(_typeList, _interface.currentValueType.warning, {
  status: _interface.currentValueType.warning,
  text: '即将过期'
}), _typeList);

var IOTConsumables = function IOTConsumables(_ref) {
  var streamId = _ref.streamId,
      icon = _ref.icon,
      title = _ref.title,
      subTitle = _ref.subTitle,
      consumablesList = _ref.consumablesList,
      thumbnailTheme1 = _ref.thumbnailTheme1,
      thumbnailTheme12 = _ref.thumbnailTheme12,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      streamValue = _ref.streamValue,
      _ref$handler = _ref.handler,
      handler = _ref$handler === void 0 ? function () {} : _ref$handler,
      _ref$childrenIcon = _ref.childrenIcon,
      childrenIcon = _ref$childrenIcon === void 0 ? false : _ref$childrenIcon,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(typeList[_interface.currentValueType.normal]),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      currentValue = _useState2[0],
      setcurrentValue = _useState2[1];

  (0, _react.useEffect)(function () {
    var value = typeList[_interface.currentValueType.normal];

    if (streamValue > 10) {
      value = typeList[_interface.currentValueType.normal];
    } else if (streamValue < 1) {
      value = typeList[_interface.currentValueType.error];
    } else {
      value = typeList[_interface.currentValueType.warning];
    }

    setcurrentValue(value);
  }, [streamValue]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls,
    onClick: function onClick() {
      handler();
    }
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-cord-entry-enum"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-left"
  }, (icon === null || icon === void 0 ? void 0 : icon.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['cord-entry-enum-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-title",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-main"
  }, title), (subTitle === null || subTitle === void 0 ? void 0 : subTitle.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-sub ".concat(currentValue.status === 'warning' ? 'warning' : currentValue.status === 'error' ? 'error' : '')
  }, subTitle['value'], currentValue.text))), /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-right",
    onClick: function onClick() {}
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "enum-show"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "arrow insideicon-entry"
  }))), disabled && /*#__PURE__*/_react.default.createElement("div", {
    className: "cord-entry-enum-disable"
  }))));
};

var _default = IOTConsumables;
exports.default = _default;