"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _antdMobile = require("antd-mobile");

var _dayjs = _interopRequireDefault(require("dayjs"));

var _Calendar = require("../../common/Calendar");

var _data = _interopRequireDefault(require("./static/data.png"));

var _calendar = _interopRequireDefault(require("./static/calendar.svg"));

require("./style/index.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var IOTDataLog = function IOTDataLog(props) {
  var day2 = new Date();
  day2.setTime(day2.getTime());
  var nowDate = day2.getFullYear() + "/" + (day2.getMonth() + 1 < 10 ? '0' : '') + (day2.getMonth() + 1) + "/" + (day2.getDate() < 10 ? '0' : '') + day2.getDate();
  var _props$dataSource = props.dataSource,
      dataSource = _props$dataSource === void 0 ? [] : _props$dataSource,
      confirmChange = props.confirmChange,
      _props$activeDate = props.activeDate,
      activeDate = _props$activeDate === void 0 ? nowDate : _props$activeDate,
      icon = props.icon,
      title = props.title,
      more = props.more,
      loadMore = props.loadMore;

  var _useState = (0, _react.useState)(activeDate),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      currentDate = _useState2[0],
      setCurrentDate = _useState2[1];

  var _useState3 = (0, _react.useState)(activeDate),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      currentDateTemp = _useState4[0],
      setCurrentDateTemp = _useState4[1];

  var _useState5 = (0, _react.useState)(false),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      calendarShow = _useState6[0],
      setCalendarShow = _useState6[1];

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "record-box"
  }, icon !== null && icon !== void 0 && icon.show || title ? /*#__PURE__*/_react.default.createElement("div", {
    className: "record-title"
  }, icon !== null && icon !== void 0 && icon.show ? /*#__PURE__*/_react.default.createElement("div", {
    className: "record-title-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['record-title-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })) : null, title ? /*#__PURE__*/_react.default.createElement("div", {
    className: "record-title-text",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "record-text-main"
  }, title)) : null) : null, /*#__PURE__*/_react.default.createElement("div", {
    className: "date-calendar",
    onClick: function onClick() {
      setCalendarShow(true);
    }
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "dates"
  }, (0, _dayjs.default)(currentDate).format('YYYY年MM月DD日'), currentDate === nowDate ? '(今日)' : ''), /*#__PURE__*/_react.default.createElement("img", {
    className: "date-icon",
    src: _calendar.default
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "record-list ".concat(dataSource.length > 0 ? 'record-list-height' : 'record-nolist-height')
  }, dataSource.length > 0 ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, dataSource.map(function (items, indexs) {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: indexs,
      className: "record-list-item"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "record-item-left"
    }, indexs !== 0 && /*#__PURE__*/_react.default.createElement("div", {
      className: "item-line-top"
    }), /*#__PURE__*/_react.default.createElement("span", null, items.time), /*#__PURE__*/_react.default.createElement("div", {
      className: "item-line-bottom"
    })), /*#__PURE__*/_react.default.createElement("div", {
      className: "record-item-right"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "record-item-type"
    }, items.content)));
  }), /*#__PURE__*/_react.default.createElement(_antdMobile.InfiniteScroll, {
    loadMore: loadMore,
    hasMore: more
  }, more ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", {
    className: "loading"
  }, "\u6570\u636E\u52A0\u8F7D\u4E2D"), /*#__PURE__*/_react.default.createElement(_antdMobile.DotLoading, null)) : /*#__PURE__*/_react.default.createElement("span", {
    className: "loadComplete"
  }, "\u6CA1\u6709\u66F4\u591A\u7684\u6570\u636E\u4E86~"))) : /*#__PURE__*/_react.default.createElement("div", {
    className: "default-page"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "default-box"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _data.default,
    alt: "",
    className: "default-img"
  }), /*#__PURE__*/_react.default.createElement("span", {
    className: "default-text"
  }, "\u6682\u65E0\u6570\u636E\u8BB0\u5F55")))), /*#__PURE__*/_react.default.createElement("div", {
    className: "calendar-box-mark",
    style: {
      visibility: calendarShow ? 'visible' : 'hidden'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "calendar-box ".concat(calendarShow && 'show')
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "calendar-box-title"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "cancel-btn",
    onClick: function onClick() {
      setCalendarShow(false);
    }
  }, "\u53D6\u6D88"), /*#__PURE__*/_react.default.createElement("span", {
    className: "title-btn"
  }, "\u65E5\u671F\u7B5B\u9009"), /*#__PURE__*/_react.default.createElement("div", {
    className: "ok-btn",
    onClick: function onClick() {
      setCalendarShow(false);
      confirmChange && confirmChange(currentDateTemp);
      setCurrentDate(currentDateTemp);
    }
  }, "\u786E\u5B9A")), /*#__PURE__*/_react.default.createElement(_Calendar.Calendar, {
    onDateClick: function onDateClick(date) {
      setCurrentDateTemp(date.format('YYYY/MM/DD'));
    },
    showType: 'month',
    markType: "dot",
    currentDate: currentDateTemp
  }))));
};

var _default = IOTDataLog;
exports.default = _default;