"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _IOTDataLog = _interopRequireDefault(require("./IOTDataLog"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// import React, { useEffect, useState } from 'react';
// import TagCom from './IOTIconNavigation';
// import { resolveRule } from '../../base/utils';
// const Build: React.FC<any> = (props: any) => {
//   const { attrData, uiStreams, ruleJson, buildHandler } = props;
//   const [attr, setAttr] = useState<any>({});
//   const handler = (item: any) => {
//     const obj: any = {}
//     obj[item['streamId']] = item['value'] + ''
//     buildHandler(obj);
//   }
//   useEffect(() => {
//     const streamId = attrData['streamId'];
//     const curValue = uiStreams[streamId] === '' ? '-1' : uiStreams[streamId];
//     const items = attrData['items'].map((item: any) => {
//       return {
//         ...item,
//         checked: item['value'] === curValue,
//         disabled: false,
//       }
//     })
//     const attr = resolveRule({ ...attrData, handler, items }, ruleJson, uiStreams);
//     attr['originType'] && delete attr.originType;
//     setAttr({ ...attr });
//   }, [uiStreams,attrData]);
//   return (<>
//     {
//       JSON.stringify(attr) === "{}" ?
//         (<div></div>) :
//         (<TagCom {...attr} />)
//     }
//   </>)
// }
// export default Build;
var Build = function Build(props) {
  var attrData = props.attrData,
      uiStreams = props.uiStreams,
      ruleJson = props.ruleJson,
      buildHandler = props.buildHandler;

  var _useState = (0, _react.useState)({}),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      attr = _useState2[0],
      setAttr = _useState2[1];

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, JSON.stringify(attr) === "{}" ? /*#__PURE__*/_react.default.createElement("div", null) : /*#__PURE__*/_react.default.createElement(_IOTDataLog.default, attr));
};

var _default = Build;
exports.default = _default;