"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

require("./index.less");

var _exclamation = _interopRequireDefault(require("./exclamation.png"));

var _phone = _interopRequireDefault(require("./phone.png"));

var AlarmHigh = function AlarmHigh(props) {
  var show = props.show,
      title = props.title,
      errCode = props.errCode,
      solution = props.solution,
      handler = props.handler,
      contactTel = props.contactTel;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-high-bg"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-high-context"
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "alarm-high-imge",
    src: _exclamation.default
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "err-code"
  }, "\u6545\u969C\u7801\uFF1A", errCode), /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "solution-wrapper"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "solution-title"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "solution-title-span"
  }, "\u6309\u7167\u4EE5\u4E0B\u6B65\u9AA4\u64CD\u4F5C, \u89E3\u9664\u6545\u969C")), /*#__PURE__*/_react.default.createElement("div", {
    className: "dividing"
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "solution"
  }, solution)), /*#__PURE__*/_react.default.createElement("div", {
    className: "confirm-btn",
    onClick: function onClick() {
      window.location.href = 'tel:' + contactTel;
    }
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "alarm-phone-imge",
    src: _phone.default
  }), /*#__PURE__*/_react.default.createElement("div", null, contactTel)))));
};

var _default = AlarmHigh;
exports.default = _default;