"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

require("./index.less");

var AlarmTip = function AlarmTip(props) {
  var show = props.show,
      title = props.title,
      errCode = props.errCode,
      solution = props.solution,
      handler = props.handler;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, show && /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-tip-bg"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-context"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "err-code"
  }, "\u6545\u969C\u7801\uFF1A", errCode), /*#__PURE__*/_react.default.createElement("div", {
    className: "solution"
  }, solution), /*#__PURE__*/_react.default.createElement("div", {
    className: "confirm-btn",
    onClick: function onClick() {
      handler();
    }
  }, "\u6211\u77E5\u9053\u4E86"))));
};

var _default = AlarmTip;
exports.default = _default;