"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

require("./style/index.less");

var _AlarmTip = _interopRequireDefault(require("./AlarmTip"));

var _AlarmHigh = _interopRequireDefault(require("./AlarmHigh"));

var _excluded = ["text", "type", "alarm"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'iot-fault-alarm-out';

var IOTFaultAlarm = function IOTFaultAlarm(_ref) {
  var text = _ref.text,
      type = _ref.type,
      alarm = _ref.alarm,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(true),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      lowShow = _useState2[0],
      setLowShow = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      middleTipsShow = _useState4[0],
      setMiddleTipsShow = _useState4[1];

  var _useState5 = (0, _react.useState)(''),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      currentLowCode = _useState6[0],
      setCurrentLowCode = _useState6[1];

  (0, _react.useEffect)(function () {
    // console.log("call use effect....................");
    setCurrentLowCode('');

    if (type !== 'middle') {
      setMiddleTipsShow(false);
    }
  }, [type]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, type === 'low' && ((alarm === null || alarm === void 0 ? void 0 : alarm.code) !== currentLowCode || lowShow) && /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-fault-alarm"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-text"
  }, /*#__PURE__*/_react.default.createElement("div", null, "\u6545\u969C: ", text)), /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-right",
    onClick: function onClick() {
      setCurrentLowCode(alarm === null || alarm === void 0 ? void 0 : alarm.code);
      setLowShow(false);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-right-text"
  }, "\u5173\u95ED")))), type === 'middle' && /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-fault-alarm"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-text"
  }, /*#__PURE__*/_react.default.createElement("div", null, "\u6545\u969C: ", text)), /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-right",
    onClick: function onClick() {
      setMiddleTipsShow(true);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "alarm-right-text"
  }, "\u67E5\u770B\u8BE6\u60C5")))), type === 'middle' && /*#__PURE__*/_react.default.createElement(_AlarmTip.default, (0, _extends2.default)({
    show: middleTipsShow
  }, alarm, {
    handler: function handler() {
      setMiddleTipsShow(false);
    }
  })), type === 'high' && /*#__PURE__*/_react.default.createElement(_AlarmHigh.default, (0, _extends2.default)({}, alarm, {
    handler: function handler() {
      setMiddleTipsShow(false);
      setLowShow(false);
    }
  })));
};

var _default = IOTFaultAlarm;
exports.default = _default;