"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

require("./style/index.less");

var _excluded = ["type", "list", "title", "label", "streamId", "subTitle", "icon", "disabled", "streamName", "handler"];
var prefixCls = 'iot-time-task-out';

var IOTTimeTask = function IOTTimeTask(_ref) {
  var type = _ref.type,
      list = _ref.list,
      title = _ref.title,
      label = _ref.label,
      streamId = _ref.streamId,
      subTitle = _ref.subTitle,
      icon = _ref.icon,
      disabled = _ref.disabled,
      streamName = _ref.streamName,
      handler = _ref.handler,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: prefixCls
  }, rest), /*#__PURE__*/_react.default.createElement("div", {
    className: "iot-time-task"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-left"
  }, (icon === null || icon === void 0 ? void 0 : icon.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-icon"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: ['time-task-icon-image', icon !== null && icon !== void 0 && icon.value ? icon.value : 'insideicon-cu-1'].join(' ')
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-title",
    style: {
      marginLeft: icon !== null && icon !== void 0 && icon.show ? '0' : '.2rem'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-main",
    style: {
      width: icon !== null && icon !== void 0 && icon.show ? '90%' : '90%'
    }
  }, title), (subTitle === null || subTitle === void 0 ? void 0 : subTitle.show) && /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-sub",
    style: {
      width: icon !== null && icon !== void 0 && icon.show ? '90%' : '90%'
    }
  }, subTitle['value']))), /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-right",
    onClick: function onClick() {
      handler === null || handler === void 0 ? void 0 : handler();
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: ['time-task-btn-icon'].join(' ')
  }, "\u8BBE\u7F6E")), disabled && /*#__PURE__*/_react.default.createElement("div", {
    className: "time-task-disable"
  }))));
};

var _default = IOTTimeTask;
exports.default = _default;