/*
 * @Author: sph
 * @Date: 2021-12-20 15:03:39
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2021-12-21 11:11:11
 * @Description:
 */
const path = require('path')
const UploadOssPlugin = require('@jd/upload-oss-tools')
// 初始化上传应用
const ploadOssPlugin = () => {
  return new UploadOssPlugin({
    localFullPath: path.resolve(__dirname, '../upload'), // 被上传的本地绝对路径，自行配置
    access: '0Mgr0JrGN60hMuxD', // http://oss.jd.com/user/glist 生成的 access key
    secret: 'bUxjO3mqUSr9aXpcLeLDSXF3ga7WgMO5WTZ3vUiv', // http://oss.jd.com/user/glist 生成的 secret key
    site: '', // 远程 oss 路径 非必填 默认 storage.jd.local 可选(中国:storage.jd.local 印尼:storage-local.jd.id 泰国:storage.jd.th.local 测试:test.storage.jd.com)
    cover: true, // 是否覆盖远程空间文件 默认true
    printCdnFile: false, // 是否手动刷新cdn文件 默认false
    bucket: 'taf', // 空间名字 仅能由小写字母、数字、点号(.)、中划线(-)组成
    folder: '/lowcode/common/', // 空间文件夹名称 非必填
    ignoreRegexp: /.*\.map$/, // 排除的文件规则 正则字符串，匹配到的文件和文件夹都会忽略
    timeout: '', // 上传请求超时的毫秒数 单位毫秒，默认30秒
    uploadStart: function (files) { }, // 文件开始上传回调函数，返回文件列表参数
    uploadProgress: function (progress) { }, // 文件上传过程回调函数，返回文件上传进度
    uploadEnd: function (res) {
    }, // 文件上传完毕回调函数，返回 {上传文件数组、上传文件的总数，成功数量，失败数量，未上传数量
    // 下载oss空间 options参数，使用下下载功能时必填
    downloadOptions: [
      {
        bucket: '', // 空间名字 仅能由小写字母、数字、点号(.)、中划线(-)组成
        folder: '', // 空间文件夹名称 非必填
        downloadLocalFullPath: '', // 本地存储绝对路径
        remoteFolder: true, //是否映射远程绝对路径,默认 true
        downloadStart: function (files) { }, // 文件开始下载回调函数，返回文件列表参数
        downloadProgress: function (progress) { }, // 文件下载过程回调函数，返回文件下载进度
        downloadEnd: function (res) { }, // 文件下载完毕回调函数，返回 {下载文件数组、下载文件的总数，成功数量，失败数量}
      },
    ],
  });
};
// 执行上传
ploadOssPlugin().upload();


